Subject: [PATCH] web: Use string to avoid losing unicode characters.

From: Noé Lopez <[email-masked]>
Date: Sat, 02 Nov 2024 03:23:24 +0100

Small update,

I’ve investigated the issue in fibers and I now blame the guile web
library for the issue.  Apparently it sets the port to ISO-8859-1
encoding each time you call read-request, but it acts like « yeah don’t
worry just use utf-8 for your body » in the docs.

That’s fine UNLESS you use chunked transfers (omitting content-length in
fibers), in which case it just decides to blow up :///// (it assumes one
character = one byte)

In the end I’m pretty sure any of this could have been avoided by just
not replacing every character with question marks.  Had it kept the
invalid bytes intact they would have translated back with no issue.